---
title: TextTrackList.length
slug: Web/API/TextTrackList/length
tags:
  - API
  - HTML DOM
  - Media
  - Property
  - Read-only
  - Reference
  - TextTrackList
  - length
  - list
  - track
---
<div>{{APIRef("HTML DOM")}}</div>

<p><span class="seoSummary">The read-only <strong>{{domxref("TextTrackList")}}</strong> property <code><strong>length</strong></code> returns the number of entries in the <code>TextTrackList</code>, each of which is a {{domxref("TextTrack")}} representing one track in the media element.</span> A value of 0 indicates that there are no text tracks in the media.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var <em>trackCount</em> = <em>TextTrackList</em>.length;</pre>

<h3 id="Value">Value</h3>

<p>A number indicating how many text tracks are included in the <code>TextTrackList</code>. Each track can be accessed by treating the <code>TextTrackList</code> as an array of objects of type {{domxref("TextTrack")}}.</p>

<h2 id="Example">Example</h2>

<p>This snippet gets the number of text tracks in the first media element found in the {{Glossary("DOM")}} by {{domxref("Document.querySelector", "querySelector()")}}.</p>

<pre class="brush: js">var mediaElem = document.querySelector("video, audio");
var numTextTracks = 0;

if (mediaElem.textTracks) {
  numTextTracks = mediaElem.textTracks.length;
}
</pre>

<p>Note that this sample checks to be sure {{domxref("HTMLMediaElement.textTracks")}} is defined, to avoid failing on browsers without support for {{domxref("TextTrack")}}.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('HTML WHATWG', '#dom-texttracklist-length', 'TextTrackList: length')}}</td>
   <td>{{Spec2('HTML WHATWG')}}</td>
   <td> </td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.TextTrackList.length")}}</p>
